# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

## [0.3.0](https://github.com/skipjack/foundation-core/compare/v0.2.1...v0.3.0) (2020-09-14)


### ⚠ BREAKING CHANGES

* **tags:** The `tags` component's `style` prop is now applied
to the container. Use `tagStyle` to style individual tags.
* The selector component is now just an enhanced
native `<select>` element and it no longer supports `icons`.

* **tags:** split `style` and `tagStyle` ([c8aa5dc](https://github.com/skipjack/foundation-core/commit/c8aa5dc24c2e000cea591b56bd5242b6ace96e28))
* rework action components to match latest comps ([7b14b87](https://github.com/skipjack/foundation-core/commit/7b14b87c2b52df288e5c70a5eb433f1b612a3d2d)), closes [/github.com/skipjack/portfolio/issues/1#issuecomment-669373627](https://github.com/skipjack//github.com/skipjack/portfolio/issues/1/issues/issuecomment-669373627)

### [0.2.1](https://github.com/skipjack/foundation-core/compare/v0.2.0...v0.2.1) (2020-05-17)


### Features

* **menu:** allow `style` overrides ([fdc608f](https://github.com/skipjack/foundation-core/commit/fdc608f13f2f9b16ab2f456d4c11e7e04de0b9dd))


### Bug Fixes

* **button:** pass along all additional props like `onClick` ([225a62d](https://github.com/skipjack/foundation-core/commit/225a62d30fb4658455ecaaa040963f7041de3ee8))

## [0.2.0](https://github.com/skipjack/foundation-core/compare/v0.1.6...v0.2.0) (2020-05-04)


### ⚠ BREAKING CHANGES

* This package no longer contains any `Card`
components. Those components have been migrated to another package:
`@foundation/cards`.

### Bug Fixes

* expose the `Image` component ([2b267de](https://github.com/skipjack/foundation-core/commit/2b267de7f18b33d102b9d9a00e53a82e1e56f78c))
* **image:** shorten the default render delay ([44e992b](https://github.com/skipjack/foundation-core/commit/44e992b42c3ff3591feab69717a69588eba11221))
* **lab:** fix element count ([c8d8a1c](https://github.com/skipjack/foundation-core/commit/c8d8a1c27a80fd718e5262ee080b2faa971270a3))


* drop components now available from `@foundation/cards` ([093afcf](https://github.com/skipjack/foundation-core/commit/093afcf6d317edd1eac8422f30e791d66e5435fb))

### [0.1.6](https://github.com/skipjack/foundation-core/compare/v0.1.5...v0.1.6) (2020-04-30)


### Features

* **field:** add support for `style` overrides ([f236996](https://github.com/skipjack/foundation-core/commit/f236996742c7208383a445f03556c8aefe6448fb))
* **lab:** add additional statistics and update design ([416ebe0](https://github.com/skipjack/foundation-core/commit/416ebe04051e97ccb39554521fd36a65aa2fb0b1))


### Bug Fixes

* **tags:** prevent tag text from wrapping ([43f46d8](https://github.com/skipjack/foundation-core/commit/43f46d83837d8a5214359113b18551d7f3666a68))
* update favicon ([bd8c61c](https://github.com/skipjack/foundation-core/commit/bd8c61c4ecfed851529e3854951e62a5e18bd2ad))
* **field:** prevent horizontal overflow of value ([ecef621](https://github.com/skipjack/foundation-core/commit/ecef6215d17c4dd98039f2858b2f81dd1080982c))
* **tags:** finish enabling the `onClick` prop ([2fd4b3c](https://github.com/skipjack/foundation-core/commit/2fd4b3c628474df6f3c9d71e97829662cfc2dc8a))

### [0.1.5](https://github.com/skipjack/foundation-core/compare/v0.1.4...v0.1.5) (2020-04-26)


### Features

* support additional props on title and subtitle ([8c35253](https://github.com/skipjack/foundation-core/commit/8c35253a12420e5e9157d18c34ba4317272c2272))


### Bug Fixes

* **card:** remove `filter` from top image ([2cc6251](https://github.com/skipjack/foundation-core/commit/2cc6251fb789a8412458e100af8d392205ee41da))
* **image:** fix inconsistent issue with images not appearing ([90b432d](https://github.com/skipjack/foundation-core/commit/90b432d1c994408cbc99c657648d4625e87b134d))
* remove `react-spring` dependency ([a7e8957](https://github.com/skipjack/foundation-core/commit/a7e895731f0df6326271924b11bacf6a61a16a9f))

### [0.1.4](https://github.com/skipjack/foundation-core/compare/v0.1.3...v0.1.4) (2020-04-23)


### Features

* **button:** add support for `icon` prop ([f291415](https://github.com/skipjack/foundation-core/commit/f2914153d962f8c2770eab3bb573359238363c5c))
* **selector:** add support for `icon` field in options ([30a0d27](https://github.com/skipjack/foundation-core/commit/30a0d271c8ac3ffab1d327afe22a069091ef841b))


### Bug Fixes

* add prepublish script so we never forget to `build` on release ([fab5b72](https://github.com/skipjack/foundation-core/commit/fab5b72dd1edf55482de14d9748a2bd14ee19333))
* **base:** default the `theme` to prevent errors when not passed ([b86ebc8](https://github.com/skipjack/foundation-core/commit/b86ebc8ea71fd4a607b6dda05ca107fd5bfbbff3))
* **lab:** remove base component dependency ([63fb421](https://github.com/skipjack/foundation-core/commit/63fb421cbef2f23a1d8989b14de716f18fa1f46c))

### [0.1.3](https://github.com/skipjack/foundation-core/compare/v0.1.2...v0.1.3) (2020-03-28)


### Bug Fixes

* tweak `module` setting to fix `import` issues ([2381c23](https://github.com/skipjack/foundation-core/commit/2381c23bea86963dfb4f0389c12efbdeda7f7cab))

### [0.1.2](https://github.com/skipjack/foundation-core/compare/v0.1.1...v0.1.2) (2020-03-28)


### Bug Fixes

* add `secondary` to theme default ([b5ff655](https://github.com/skipjack/foundation-core/commit/b5ff655f712cc411b1ca00fcc7758713b699b39b))
* fix missing react build error ([7e582f4](https://github.com/skipjack/foundation-core/commit/7e582f43015e5025f503d774ea8d850f0d4f2505))

### [0.1.1](https://github.com/skipjack/foundation-core/compare/v0.1.0...v0.1.1) (2020-03-27)


### Bug Fixes

* don't ignore `lib` modules ([e61f4f3](https://github.com/skipjack/foundation-core/commit/e61f4f32284b97f9b66b1684f1960adbbdacb20c))

## 0.1.0 (2020-03-27)


### Features

* add `CardFallback` used for loading and error states ([0316596](https://github.com/skipjack/foundation-core/commit/0316596d826578a6cc5e57b4ee754c078df29c07))
* add `theme` support across all components ([cca6879](https://github.com/skipjack/foundation-core/commit/cca6879846c0b5e7b33d5761ce3110e75a107549))
* add simple lazy-loaded `Image` component ([6108eb8](https://github.com/skipjack/foundation-core/commit/6108eb840dd0734729d2e38f5e4b8cdfc7a6e32c))
* **action:** allow any additional attributes to be passed ([1d31e9c](https://github.com/skipjack/foundation-core/commit/1d31e9c5e9197047b8086b82afdecb4eab018847))
* **card:** add actions layout components ([9e8a161](https://github.com/skipjack/foundation-core/commit/9e8a16155644bc5f2630f24d4a87da4a791e2ecf))


### Bug Fixes

* **card:** remove animation to boost render speed ([7726489](https://github.com/skipjack/foundation-core/commit/77264893d10a624940d9d85716136dcbbbb1669b))
* **menu:** add padding for smaller screens ([6555133](https://github.com/skipjack/foundation-core/commit/65551331891008232a216ab96778a2a6b54ff371))
* **selector:** add missing prop type validation ([4449748](https://github.com/skipjack/foundation-core/commit/444974810d4b127a2b2cc6feb90baeb022613585))
* **selector:** fix ref errors when no `selected` prop is passed ([6be0438](https://github.com/skipjack/foundation-core/commit/6be04387b7e74db937f253f8a91927355336e558))
