Contributing
============

We'd like to keep `core` as lightweight as possible, so we will ask that most
new functionality be added via a separate package. Any significant
changes/additions should be discussed in an issue first. We are working to keep
the API as minimal and simple as possible and welcome any ideas/help. See the
[approved requirements][2] to understand what's currently in scope.


## Usage

This repo comes with a development environment that leverages the `Lab` and
`Benchmark` components for isolated component testing. Run the following
commands to start tinkering with components locally...

``` bash
npm install
npm start
```

Now you can dive into __src/index.jsx__.


## View Extensions

...


## Data Extensions

Create a directory for your extension and install this package. The following
example steps would create a data extension for "people".

- `mkdir [name]-people`
- `cd [name]-people`
- `npm init`
- `npm install @foundation/utils`

Create a `definition.yaml` file using [JSON Schema][1] that defines a single
"people" resource:

- Reduce or completely avoid direct relationships.
- Keep structures flat and readable as much as possible.
- The `sources` field must be included.

More details to come, these extensions will work with the `Results` component
and are still a work in progress...


[1]: https://json-schema.org/
[2]: https://github.com/skipjack/foundation-core/issues?q=label%3Arequirement+