import React from 'react'
import PropTypes from 'prop-types'

/**
 * Display properties of resource or entity.
 * 
 * @param  {object} props.children - Typically a set of `<Field />`s
 * @return {object}                - React markup
 */
const Fields = ({
    children
}) => (
    <dl style={{ marginTop: 8 }}>
        {children}
    </dl>
)

Fields.propTypes = {
    children: PropTypes.node
}

export default Fields