import React from 'react'
import PropTypes from 'prop-types'

/**
 * Lay out a set of actions above a distinct view.
 * 
 * @param  {object} props.children - Typically a set of `<Action />`s
 * @return {object}                - React markup
 */
const Menu = ({
    style,
    children
}) => (
    <menu style={{
        position: 'relative',
        width: '100%',
        maxWidth: 1068,
        margin: '24px auto 0',
        padding: '0 24px',
        boxSizing: 'border-box',
        zIndex: 10,
        ...style
    }}>
        <div style={{
            display: 'flex',
            marginRight: -12
        }}>
            { children }
        </div>
    </menu>
)

Menu.propTypes = {
    children: PropTypes.node
}

export default Menu