import React from 'react'
import PropTypes from 'prop-types'


const Results = ({
	total = 0,
	view,
	views = [],
	results = [],
	definitions = [],
	loadMore
}) => {
	const config = views.find(obj => obj.value === view)
	const View = config.component || (props => null)

	return (
		<View
			total={total}
			results={results}
			definitions={definitions}
			loadMore={loadMore}
		/>
	)
}

Results.propTypes = {
	total: PropTypes.number,
	view: PropTypes.string,
	views: PropTypes.array,
	results: PropTypes.array,
	definitions: PropTypes.array,
	loadMore: PropTypes.func
}

export default Results